# MatCholeskyFactorNumeric

Performs numeric Cholesky factorization of a symmetric matrix. Call this routine after first calling MatCholeskyFactorSymbolic().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCholeskyFactorNumeric(Mat mat,MatFactorInfo *info,Mat *fact)

Collective on Mat

### Input Parameter

mat -the initial matrix
info -options for factorization
fact -the symbolic factor of mat

### Output Parameter

fact -the factored matrix

### Notes

Most users should employ the simplified KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate().

### See Also

MatCholeskyFactorSymbolic(), MatCholeskyFactor(), MatLUFactorNumeric()

Level:developer
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages